<?php
class Home extends CI_Controller{
	function __construct(){
		parent::__construct();
		$this->is_logged_in();
		$this->session_ = $this->session->userdata('userInfo');
		/*usuario*/
		$this->usuario=$this->Generic_model->get('usuarios','nombre_usuario as nombre,username_usuario as username, thumb_usuario as thumbnail',array('id_usuario'=>$this->session_['userid']));
		$this->usuario=$this->usuario[0];
	}
	/**/
	function index(){
		$UIData['user_info']=$this->usuario;
		$UIData['main_view']="home_view";
		$UIData['section_title']="Inicio";
		$UIData['jsfiles']=array("miracle.transacciones.tools","miracle.entradas","miracle.cotizaciones","miracle.ventas","miracle.clientes");
		$UIData['plugins']=array(
			array(
				"nombre"=>"chosen",
				"css"=> array('chosen'),
				"js"=> array('chosen.jquery')
			),
			array(
				"nombre"=>"iCheck",
				"css"=>array('custom'),
				"js"=>array('icheck.min')
			),
			array(
				"nombre"=>"datapicker",
				"css"=>array('datepicker3'),
				"js"=>array('bootstrap-datepicker','locales/bootstrap-datepicker.es')
			),
			array(
				"nombre"=>"jquery_form",
				"js"=> array('jquery.form.min')
			),
			array(
				"nombre"=>"datatables",
				"css"=> array('dataTables.bootstrap','dataTables.responsive','dataTables.tableTools.min'),
				"js"=> array('jquery.dataTables','dataTables.bootstrap.min','dataTables.responsive','dataTables.tableTools.min')
			),
		);
		
		$sql = 'SELECT id_producto FROM productos WHERE exist_act_producto >= exist_max_producto AND exist_max_producto != 0';
		$UIData["max"] = $this->Generic_model->sql_custom($sql);
		$UIData["ago"] = $this->Generic_model->get("productos","*",array("exist_act_producto" => 0));
		$UIData["zero"] = $this->Generic_model->get("productos","*",array("exist_act_producto <" => 0));
		$sql = 'SELECT id_producto FROM productos WHERE exist_act_producto <= exist_min_producto AND exist_act_producto > 0';
		$UIData["min"] = $this->Generic_model->sql_custom($sql);
		$UIData["pedidos"] = $this->Generic_model->get("pedidos","*",array("fecha_entrega_pedido" => date("Y-m-d")));
		
		$this->load->view('template', $UIData);
	}
	
	function usuarios_online(){
		$data['usuarios'] = $this->Generic_model->get('usuarios','*',array('conectado_usuario'=>1));
		$this->load->view('home_usuarios_online_view',$data);		
	}
	function get_alerts(){
		 $sql = 'SELECT id_producto FROM productos WHERE exist_act_producto >= exist_max_producto AND exist_max_producto != 0';
		 $max = $this->Generic_model->sql_custom($sql);
		 $ago = $this->Generic_model->get("productos","*",array("exist_act_producto" => 0));
		 $pedidos = $this->Generic_model->get("pedidos","*",array("fecha_entrega_pedido" => date("Y-m-d")));
		 $sql = 'SELECT id_producto FROM productos WHERE exist_act_producto <= exist_min_producto AND exist_act_producto > 0';
		 $min = $this->Generic_model->sql_custom($sql);
		 $zero = $this->Generic_model->get("productos","*",array("exist_act_producto <" => 0,"tipo_presentacion" => 0),"","",array('presentaciones' => 'presentaciones.id_producto = productos.id_producto'));
		 echo count($max) + count($ago) + count($min) + count($zero) + count($pedidos);
	}
	function notificaciones(){		
		$UIDataModal["content_view"]="home_notificaciones_view";
		$UIDataModal["title"]="Notificaciones";
		$UIDataModal["close_button"]=true;
		$UIDataModal["classes"]="modal-lg";
		$UIDataModal["id"]="notificaciones-modal";
		
		$sql = 'SELECT productos.id_producto,sku_presentacion,desc_presentacion,exist_act_producto, exist_max_producto FROM productos LEFT JOIN presentaciones ON presentaciones.id_producto = productos.id_producto WHERE exist_act_producto >= exist_max_producto AND exist_max_producto != 0 AND tipo_presentacion = 0';
		$UIDataModal["max"] = $this->Generic_model->sql_custom($sql);
		$UIDataModal["ago"] = $this->Generic_model->get("productos","*",array("exist_act_producto" => 0,"tipo_presentacion" => 0),"","",array('presentaciones' => 'presentaciones.id_producto = productos.id_producto'));
		$UIDataModal["zero"] = $this->Generic_model->get("productos","*",array("exist_act_producto <" => 0,"tipo_presentacion" => 0),"","",array('presentaciones' => 'presentaciones.id_producto = productos.id_producto'));
		$sql = 'SELECT productos.id_producto,sku_presentacion,desc_presentacion,exist_act_producto, exist_min_producto FROM productos LEFT JOIN presentaciones ON presentaciones.id_producto = productos.id_producto WHERE exist_act_producto <= exist_min_producto AND exist_act_producto > 0 AND tipo_presentacion = 0';
		$UIDataModal["min"] = $this->Generic_model->sql_custom($sql);
		$UIDataModal["pedidos"] = $this->Generic_model->get("pedidos","*",array("fecha_entrega_pedido" => date("Y-m-d")),"","",array("usuarios"=>"usuarios.id_usuario=pedidos.id_cajero,LEFT"));
		
		$this->load->view('template_modal',$UIDataModal);
	}
	function is_logged_in(){
		$session = $this->session->userdata('userInfo');
		$is_logged_in =$session['is_logged_in'];
		
		if(!isset($is_logged_in) || $is_logged_in !== true){
			redirect(base_url("login"));
			die();
		}
	}
}
?>